<template>
  <div class='container'>
    <div class='steps-started '>
      <h2 class='base-title'>{{ $t('title')}}</h2>
      <div class='steps-started__list'>
        <div class='steps-started__item'>
          <img src='../../assets/img/steps-started/1.svg' alt='1' width='80' height='80'>
          <p>{{ $t('01')}}</p>
        </div>
        <div class='steps-started__item'>
          <img src='../../assets/img/steps-started/2.svg' alt='2'  width='80' height='80'>
          <p>{{ $t('02')}}</p>
        </div>
        <div class='steps-started__item'>
          <img src='../../assets/img/steps-started/3.svg' alt='3'  width='80' height='80'>
          <p>{{ $t('03')}}</p>
        </div>
      </div>
      <a v-show=' os === "Mac OS" ||  os === "iOS"' href='https://apps.apple.com/us/app/tbcc/id1592692399' target='_blank'>
        <base-button shaded>
          {{ $t('Download')}}
        </base-button>
      </a>
      <a v-show=' os !== "Mac OS" &&  os !== "iOS"' href='https://play.google.com/store/apps/details?id=com.cloud.tbcc.app&hl=ru&gl=US' target='_blank'>
        <base-button shaded>
          {{ $t('Download')}}
        </base-button>
      </a>
    </div>
  </div>
</template>

<script>
import BaseButton from '../base/BaseButton'
export default {
  components: { BaseButton },

  data() {
    return {
      os: '',
    }
  },

  mounted() {
    function getOS() {
      const userAgent = window.navigator.userAgent;
      const platform = window.navigator.platform;
      const macosPlatforms = ['Macintosh', 'MacIntel', 'MacPPC', 'Mac68K', 'darwin'];
      const windowsPlatforms = ['Win32', 'Win64', 'Windows', 'WinCE'];
      const iosPlatforms = ['iPhone', 'iPad', 'iPod'];
      let os = null;

      if (macosPlatforms.includes(platform)) {
        os = 'Mac OS';
      } else if (iosPlatforms.includes(platform)) {
        os = 'iOS';
      } else if (windowsPlatforms.includes(platform)) {
        os = 'Windows';
      } else if (/Android/.test(userAgent)) {
        os = 'Android';
      } else if (!os && /Linux/.test(platform)) {
        os = 'Linux';
      }

      return os;
    }

    this.os = getOS();
  }
}
</script>

<i18n>
{
  "en": {
    "title": "Get a smart cryptocurrency App in three simple steps",
    "01": "Get the TBCC App",
    "02": "Create an account",
    "03": "Start purchasing, trading and earning money in clicks",
    "Download": "Download"
  },
  "ch": {
    "title": "通过三个简单的步骤获得一个智能加密货币App",
    "01": "获取TBCC应用程序",
    "02": "创建一个账户",
    "03": "在点击中开始购买、交易和挣钱",
    "Download": "下载"
  },
  "tur": {
    "title": "Get a smart cryptocurrency App in three simple steps",
    "01": "Get the TBCC App",
    "02": "Create an account",
    "03": "Start purchasing, trading and earning money in clicks",
    "Download": "Download"
  }
}
</i18n>

<style lang='scss' scoped>
.base-title {
  margin: 0 0 55px;
  font-size: 36px;
  text-align: center;
  max-width: 600px;


  @media (max-width: 767px) {
    text-align: center;
    margin: 0 0 40px;
  }

  @media (min-width: 1024px) {
    font-size: 45px;
  }

  @media (min-width: 1200px) {
    font-size: 48px;
  }
}
.steps-started {
  width: 100%;
  display: flex;
  align-items: center;
  flex-direction: column;
  background: #DBE1F1;
  border-radius: 36px;
  padding: 73px 0;

  @media (min-width: 1024px) {
    padding: 73px;
  }

  @media (max-width: 767px) {
    width: 353px;
    margin: 0 auto;
    padding: 65px 32px;

    button {
      margin-top: 5px;
      min-height: 56px;
    }
  }


  &__list {
    max-width: 912px;
    width: 100%;
    display: flex;
    justify-content: space-between;
    padding-bottom: 15px;

    @media (max-width: 767px) {
      flex-direction: column;
      justify-content: flex-start;
      align-items: center;
      padding-bottom: 0;
    }
  }

  &__item {
    display: flex;
    align-items: center;
    flex-direction: column;
    position: relative;

    @media (max-width: 767px) {
      margin-bottom: 35px;
    }

    @media (min-width: 768px) {
      &::after {
        content: '';
        position: absolute;
        top: 32px;
        right: 25px;
        width: 30px;
        height: 14px;
        background-image: url("../../assets/img/steps-started/arrow.svg");
        background-repeat: no-repeat;
        background-position: center;
      }

      &:last-child {
        &::after {
          width: 21px;
          height: 15px;
          background-image: url("../../assets/img/steps-started/check.svg");
        }
      }
    }

    img {
      margin-bottom: 25px;
      width: 80px;
      height: 80px;
      object-fit: none;
    }

    p {
      font-size: 20px;
      line-height: 25px;
      text-align: center;
      margin: 0;
      color: #05204A;
      width: 240px;
      font-weight: 500;

      @media (min-width: 768px) and (max-width: 1023px) {
        width: 221px;
      }

      @media (max-width: 1023px) {
        font-size: 18px;
        line-height: 22px;
      }

      @media (max-width: 767px) {
        width: 232px;
      }
    }
  }
}
</style>

